Bug 151168 - Missing BuildRequire lm_sensors
Summary: Missing BuildRequire lm_sensors
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-15 16:22 UTC by Andreas Thienemann
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-24 12:45:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Thienemann 2005-03-15 16:22:30 UTC
When building the net-snmp package on a x86_64 system, the BuildRequire for
lm_sensors does not get picked up:

%ifarch %{ix86}
BuildPrereq: lm_sensors-devel
%endif

Adding x86_64 to the ifarch line should fix this, as it was done later in the
configure part:

%ifarch %{ix86} x86_64
        --with-mib-modules="host agentx smux ucd-snmp/lmSensors"        \
%else
        --with-mib-modules="host agentx smux "  \
%endif

Comment 1 Radek Vokal 2005-03-24 12:45:03 UTC
Thanks, fixed in rawhide. Will appear with other fixes also in RHEL


Note You need to log in before you can comment on or make changes to this bug.